Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: ntp

Interfaces

### Description:

Network time protocol daemon.

### Interfaces:

ntp_admin( domain , role )

##### Summary

All of the rules required to administrate an ntp environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

ntp_domtrans( domain )

##### Summary

Execute ntp server in the ntpd domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

ntp_domtrans_ntpdate( domain )

##### Summary

Execute ntp server in the ntpd domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

ntp_initrc_domtrans( domain )

##### Summary

Execute ntp server in the ntpd domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

ntp_read_conf( domain )

##### Summary

Read ntp.conf

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ntp_read_drift_files( domain )

##### Summary

Read ntp drift files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ntp_run( domain , role )

##### Summary

Execute ntp in the ntp domain, and allow the specified role the ntp domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

ntp_rw_shm( domain )

##### Summary

Read and write ntpd shared memory.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

ntp_stub( domain )

##### Summary

NTP stub interface. No access allowed.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return